Skip to main content
GET
/
v2
/
unsubscribes
/
variables
List Unsubscribed Variables
curl --request GET \
  --url https://api.lemlist.com/api/v2/unsubscribes/variables \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/v2/unsubscribes/variables"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/v2/unsubscribes/variables', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/v2/unsubscribes/variables")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/v2/unsubscribes/variables",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
[
  {
    "_id": "uns_ZfdZWc7dvCqXdgQmb",
    "value": "john.doe@example.com",
    "source": "user",
    "createdAt": "2023-06-12T10:45:21.367Z"
  }
]
"Bad team"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

offset
integer
default:0

Number of entries to skip for pagination

limit
integer
default:100

Number of entries to return (max 100)

Required range: x <= 100

Response

Success

_id
string

Unique identifier for the unsubscribe entry

value
string

The unsubscribed variable (email, domain, LinkedIn URL, or phone number)

source
enum<string>

Origin of the unsubscription

Available options:
api,
bounced,
lead,
user,
abuse
createdAt
string<date-time>

When the variable was unsubscribed